import XCTest
import Model
@testable import CustomTypes

final class CustomTypesTests: XCTestCase {
    func testExample() throws {
        guard var board = Board(columns: 4, rows: 4) else {
            XCTFail()
            return
        }
        
        board[1, 1] = .PlayerA
        board[2, 1] = .PlayerA
        board[2, 2] = .PlayerA
        board[1, 2] = .PlayerB
        
        let text: String = board.description
        
        XCTAssertEqual(text, "        \n  🔴🔴  \n  🟡🔴  \n        \n")
    }
}
